POST
/v1/mgmt/role/update/batch

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

roles?array<UpdateRoleRequest>

Bulk update Roles, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/role/update/batch" \  -H "Content-Type: application/json" \  -d '{}'
{  "roles": [    {      "name": "string",      "description": "string",      "permissionNames": [        "string"      ],      "createdTime": 0,      "tenantId": "string",      "default": true,      "private": true,      "id": "string"    }  ]}
export interface Response {roles?: {name?: stringdescription?: stringpermissionNames?: string[]createdTime?: numbertenantId?: stringdefault?: booleanprivate?: booleanid?: string}[]}
Was this helpful?